Skip to main content
PATCH

Authorizations

x-api-key
string
header
required

Path Parameters

identityId
string
required

The identity ID to update.

Body

application/json

Fields to update on an identity. Only public profile fields and the email signature are writable through OpenAPI.

name
string | null

Full display name for the identity.

firstName
string | null

First name for the identity.

lastName
string | null

Last name for the identity.

jobTitle
string | null

Current job title for the identity.

email
string<email> | null

Primary email address for the identity.

phoneNumber
string | null

Phone number for the identity.

linkedInUrl
string | null

LinkedIn profile URL for the identity.

scheduleMeetingUrl
string | null

Meeting scheduling URL for the identity.

timezone
string | null

Timezone used for identity scheduling context.

profileOverview
string | null

Profile overview used by the AI playbook.

keyResponsibilities
string | null

Responsibilities used by the AI playbook.

interests
string[] | null

Identity interests or professional functions.

languages
string[] | null

Languages associated with the identity.

gender
enum<string> | null

Identity gender value. Allowed values: MALE, FEMALE, OTHER.

Available options:
MALE,
FEMALE,
OTHER,
null
seniorityLevel
enum<string> | null

Identity seniority level. Allowed values: IN_TRAINING, ENTRY_LEVEL, SENIOR, STRATEGIC, ENTRY_LEVEL_MANAGER, EXPERIENCED_MANAGER, DIRECTOR, VICE_PRESIDENT, CXO, OWNER_PARTNER.

Available options:
IN_TRAINING,
ENTRY_LEVEL,
SENIOR,
STRATEGIC,
ENTRY_LEVEL_MANAGER,
EXPERIENCED_MANAGER,
DIRECTOR,
VICE_PRESIDENT,
CXO,
OWNER_PARTNER,
null
educations
string | null

Education history used by the AI playbook.

previousPositions
string | null

Previous positions used by the AI playbook.

countryCode
string | null

Country code associated with the identity context.

signature
string | null

Email signature HTML. Enginy stores this exact HTML in signature. Send null to clear the signature.

Response

Identity updated successfully

status
enum<string>
required
Available options:
success
message
string
required
data
object
required